import Container from '@dojo/framework/widget-core/Container';
import { Row } from '../../gridWidgets/grid/widgets/row/Row';
function getProperties(inject, properties) {
    const { rowIndex, key } = properties;
    const rowFields = inject.rowFields;
    const onSelect = () => {
        inject.selectRow(rowIndex);
    };
    const isSelected = rowIndex === inject.selectedRowIndex;
    return {
        rowFields,
        rowIndex,
        key,
        onSelect,
        isSelected
    };
}
const RowContainer = Container(Row, 'gridContext', { getProperties });
export default RowContainer;
//# sourceMappingURL=RowContainer.mjs.map