import Container from '@dojo/framework/widget-core/Container';
import ArrayNodeEditor from '../../queryEditor/queryQueryEditor/arrayNodeEditor/ArrayNodeEditor';
function getProperties(inject, properties) {
    const { path, key } = properties;
    const node = inject.hasNodeForPath(path)
        ? inject.getNodeForPath(path)
        : null;
    const onRemove = inject.removeNodeForPath.bind(inject);
    const fieldNames = inject.fieldNames;
    return {
        path,
        fieldNames,
        node,
        onRemove,
        key
    };
}
const ArrayNodeEditorContainer = Container(ArrayNodeEditor, 'queryEditorContext', { getProperties });
export default ArrayNodeEditorContainer;
//# sourceMappingURL=arrayNodeEditorContainer.mjs.map