import Container from '@dojo/framework/widget-core/Container';
import DropToRemoveNodeField from '../../queryEditor/dropToRemoveNodeField/DropToRemoveNodeField';
function getProperties(inject, properties) {
    return {
        onNodeFieldRemove: (fieldName, nodeName) => {
            inject.removeFieldFromNode(fieldName, nodeName);
        }
    };
}
const DropToRemoveNodeFieldContainer = Container(DropToRemoveNodeField, 'queryEditorContext', { getProperties });
export default DropToRemoveNodeFieldContainer;
//# sourceMappingURL=dropToRemoveFieldContainer.mjs.map