import Container from '@dojo/framework/widget-core/Container';
import ScalarNodeEditor from '../../queryEditor/queryQueryEditor/scalarNodeEditor/ScalarNodeEditor';
function getProperties(inject, properties) {
    const { path, key } = properties;
    const node = inject.hasNodeForPath(path)
        ? inject.getNodeForPath(path)
        : null;
    const onRemove = inject.removeNodeForPath.bind(inject);
    const fieldNames = inject.fieldNames;
    return {
        path,
        fieldNames,
        node,
        onRemove,
        key
    };
}
const ScalarNodeEditorContainer = Container(ScalarNodeEditor, 'queryEditorContext', { getProperties });
export default ScalarNodeEditorContainer;
//# sourceMappingURL=scalarNodeEditorContainer.mjs.map