(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@dojo/framework/widget-core/Container", "../../context/QueryEditorContext", "../../queryEditor/selectNodeEditor/SelectNodeEditor", "rollun-ts-rql/dist/nodes/Select"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var Container_1 = require("@dojo/framework/widget-core/Container");
    var QueryEditorContext_1 = require("../../context/QueryEditorContext");
    var SelectNodeEditor_1 = require("../../queryEditor/selectNodeEditor/SelectNodeEditor");
    var Select_1 = require("rollun-ts-rql/dist/nodes/Select");
    function getProperties(inject, properties) {
        var fieldNames = inject.fieldNames;
        return {
            node: inject.query.selectNode,
            fieldNames: fieldNames,
            onSelectNodeChange: function (fields) {
                inject.setSelectNode(new Select_1.default(fields));
            },
            onRemove: function () {
                inject.removeNode(QueryEditorContext_1.QueryNodeNames.select);
            }
        };
    }
    var QueryEditorContainer = Container_1.default(SelectNodeEditor_1.default, 'queryEditorContext', { getProperties: getProperties });
    exports.default = QueryEditorContainer;
});
//# sourceMappingURL=selectNodeEditorContainer.js.map