import Container from '@dojo/framework/widget-core/Container';
import { QueryNodeNames } from '../../context/QueryEditorContext';
import SelectNodeEditor from '../../queryEditor/selectNodeEditor/SelectNodeEditor';
import Select from 'rollun-ts-rql/dist/nodes/Select';
function getProperties(inject, properties) {
    const { fieldNames } = inject;
    return {
        node: inject.query.selectNode,
        fieldNames,
        onSelectNodeChange: (fields) => {
            inject.setSelectNode(new Select(fields));
        },
        onRemove: () => {
            inject.removeNode(QueryNodeNames.select);
        }
    };
}
const QueryEditorContainer = Container(SelectNodeEditor, 'queryEditorContext', { getProperties });
export default QueryEditorContainer;
//# sourceMappingURL=selectNodeEditorContainer.mjs.map