(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "@dojo/framework/widget-core/WidgetBase", "@dojo/framework/widget-core/d", "rollun-common/dist/css/bootstrap.m.css"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    var WidgetBase_1 = require("@dojo/framework/widget-core/WidgetBase");
    var d_1 = require("@dojo/framework/widget-core/d");
    var bootstrap = require("rollun-common/dist/css/bootstrap.m.css");
    var NoData = /** @class */ (function (_super) {
        tslib_1.__extends(NoData, _super);
        function NoData() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        NoData.prototype.render = function () {
            return d_1.v('div', { classes: bootstrap.dFlex + " " + bootstrap.flexGrow1 + " " + bootstrap.justifyContentCenter + " " + bootstrap.alignItemsCenter }, [
                d_1.v('div', { classes: '' }, [
                    'No data for this request'
                ])
            ]);
        };
        return NoData;
    }(WidgetBase_1.default));
    exports.NoData = NoData;
});
//# sourceMappingURL=NoData.js.map