import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import Limit from 'rollun-ts-rql/dist/nodes/Limit';
import { VNode } from '@dojo/framework/widget-core/interfaces';
import { LoadingStatusEnum } from '../../common/interfaces';
export interface PaginatorProps {
    pageSizeOptions: string[];
    currentCount: number;
    totalCount: number;
    loadingStatus: LoadingStatusEnum;
    setLimitNode(node: Limit): void;
}
export default class Paginator extends WidgetBase<PaginatorProps> {
    private currentPageSize;
    private pageNumber;
    protected render(): VNode;
    private goToPage(pageNumber);
    private changePageSize(pageSize);
    private getInfo();
}
