import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import AbstractQueryNode from 'rollun-ts-rql/dist/nodes/AbstractQueryNode';
import { LoadingStatusEnum, RowFields } from '../../common/interfaces';
import { VNode } from '@dojo/framework/widget-core/interfaces';
export interface SearchBarProps {
    rowFields: RowFields;
    loadingStatus: LoadingStatusEnum;
    setFilterNode(node: AbstractQueryNode): void;
    cancelSearch(): void;
}
export default class SearchBar extends WidgetBase<SearchBarProps> {
    private searchValue;
    private searchIsApplied;
    private rowFields;
    protected render(): VNode;
    private search(value);
    private cancelSearch();
}
