(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "./LogicalNodeEditor", "@dojo/framework/widget-core/d"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    var LogicalNodeEditor_1 = require("./LogicalNodeEditor");
    var d_1 = require("@dojo/framework/widget-core/d");
    var RootNodeEditor = /** @class */ (function (_super) {
        tslib_1.__extends(RootNodeEditor, _super);
        function RootNodeEditor() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        RootNodeEditor.prototype.getNodeName = function () {
            return d_1.v('div', { classes: '' }, ['Root node']);
        };
        return RootNodeEditor;
    }(LogicalNodeEditor_1.default));
    exports.default = RootNodeEditor;
});
//# sourceMappingURL=RootNodeEditor.js.map