import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { DNode } from '@dojo/framework/widget-core/interfaces';
import Query from 'rollun-ts-rql/dist/Query';
import QueryEditorContext from '../context/QueryEditorContext';
export interface QueryEditorContainerModalProps {
    query: Query;
    fieldNames: string[];
    isOpen: boolean;
    openDialog(): any;
    closeDialog(): any;
    applyQuery(query: Query): void;
    context: QueryEditorContext;
}
export default class QueryEditorInModal extends WidgetBase<QueryEditorContainerModalProps> {
    private context;
    private isStarted;
    protected render(): DNode;
}
