import Container from '@dojo/framework/widget-core/Container';
import { ColumnHeaderCell } from '../../gridWidgets/grid/widgets/ColumnHeaderCell';
function getValueFromGridContext(context, columnIndex) {
    const fields = context.rowFields.fieldsInfo;
    const field = fields[columnIndex];
    return field.label || field.name;
}
function getProperties(inject, properties) {
    const { rowIndex, columnIndex } = properties;
    const value = getValueFromGridContext(inject, columnIndex);
    return {
        value,
        rowIndex,
        columnIndex
    };
}
const ColumnHeaderCellContainer = Container(ColumnHeaderCell, 'gridContext', { getProperties });
export default ColumnHeaderCellContainer;
//# sourceMappingURL=ColumnHeaderCellContainer.mjs.map