import Container from '@dojo/framework/widget-core/Container';
import { QueryNodeNames } from '../../context/QueryEditorContext';
import SortNodeEditor from '../../queryEditor/sortNodeEditor/SortNodeEditor';
import Sort from 'rollun-ts-rql/dist/nodes/Sort';
function getProperties(inject, properties) {
    return {
        node: inject.query.sortNode,
        onRemove: () => { inject.removeNode(QueryNodeNames.sort); },
        onSortNodeChange: (sortOptions) => {
            inject.setSortNode(new Sort(sortOptions));
        }
    };
}
const SortNodeEditorContainer = Container(SortNodeEditor, 'queryEditorContext', { getProperties });
export default SortNodeEditorContainer;
//# sourceMappingURL=sortNodeEditorContainer.mjs.map