import { LoadingStatusEnum } from '../../common/interfaces';
export default abstract class AbstractDataUpdater<T> {
    protected _loadingStatus: LoadingStatusEnum;
    protected _data: T;
    readonly loadingStatus: LoadingStatusEnum;
    readonly data: T;
    protected abstract _updateData(): Promise<any>;
    updateData(): Promise<any>;
    protected afterProcess(data: any): any;
}
