(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./SearchBar"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var SearchBar_1 = require("./SearchBar");
    var Search = { SearchBar: SearchBar_1.default };
    exports.default = Search;
});
//# sourceMappingURL=index.js.map