(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./common", "./context", "./queryManager", "./gridWidgets/grid"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var common_1 = require("./common");
    var context_1 = require("./context");
    var queryManager_1 = require("./queryManager");
    // @ts-ignore
    var grid_1 = require("./gridWidgets/grid");
    var RGridLib = {
        Common: common_1.default,
        Context: context_1.default,
        RGrid: grid_1.Grid,
        Query: queryManager_1.default,
    };
    exports.default = RGridLib;
});
//# sourceMappingURL=index.js.map