import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { RqlNodeFactoryParams } from '../../../rqlNodeFactory/RqlNodeFactory';
import { DNode } from '@dojo/framework/widget-core/interfaces';
export interface ChildNodeCreationFormProps {
    fieldNames: string[];
    onChildNodeCreate(nodeName: string, params: RqlNodeFactoryParams): void;
}
export default class ChildNodeCreationForm extends WidgetBase<ChildNodeCreationFormProps> {
    private scalarNodeNames;
    private arrayNodeNames;
    private openKey;
    private dialogState;
    protected render(): DNode;
    private createChildNode(nodeName, params);
}
