import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import AbstractLogicalNode from 'rollun-ts-rql/dist/nodes/logicalNodes/AbstractLogicalNode';
import AbstractQueryNode from 'rollun-ts-rql/dist/nodes/AbstractQueryNode';
import { DNode } from '@dojo/framework/widget-core/interfaces';
export interface LogicalNodeEditorProps {
    path: number[];
    node: AbstractLogicalNode | null;
    fieldNames: string[];
    key: string;
    onRemove(path: number[]): void;
    onAddChildNode(node: AbstractQueryNode, index?: number): any;
    openDialog(): void;
}
export default class LogicalNodeEditor extends WidgetBase<LogicalNodeEditorProps> {
    private nodeFactory;
    constructor();
    protected render(): DNode;
    protected getNodeName(): DNode;
    private addChildNode();
    private createChildNode(nodeName, params);
}
