import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { VNode } from '@dojo/framework/widget-core/interfaces';
import AbstractScalarNode from 'rollun-ts-rql/dist/nodes/scalarNodes/AbstractScalarNode';
export interface ScalarNodeEditorProps {
    path: number[];
    node: AbstractScalarNode | null;
    fieldNames: string[];
    key: string;
    onRemove(path: number[]): void;
}
export default class ScalarNodeEditor extends WidgetBase<ScalarNodeEditorProps> {
    protected render(): VNode;
    private removeSelf();
    private getHumanNodeName(nodeName);
}
