import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import Select from 'rollun-ts-rql/dist/nodes/Select';
import { VNode } from '@dojo/framework/widget-core/interfaces';
import AggregateFunctionNode from 'rollun-ts-rql/dist/nodes/aggregateNodes/AggregateFunctionNode';
export interface SelectNodeEditorProps {
    node: Select;
    fieldNames: string[];
    onSelectNodeChange(fields: (string | AggregateFunctionNode)[]): void;
    onRemove(): void;
}
export default class SelectNodeEditor extends WidgetBase<SelectNodeEditorProps> {
    private awaitingDrop;
    private validDropTarget;
    protected render(): VNode;
    addFieldToNode(fieldName: string): void;
    private checkDropPossibility(event);
    private disableDropTarget();
    private addDroppedNodeToSelectedNodes(event);
}
