import { WidgetBase } from '@dojo/framework/widget-core/WidgetBase';
import { GetProperties } from '@dojo/framework/widget-core/decorators/inject';
import { Constructor, RegistryLabel } from '@dojo/framework/widget-core/interfaces';
export interface ContextReducers {
    [name: string]: GetProperties;
}
export declare type MultiContextContainer<T extends WidgetBase> = Constructor<WidgetBase<Partial<T['properties']>>>;
export declare function MultiContextContainer<W extends WidgetBase>(component: Constructor<W> | RegistryLabel, contextReducers: ContextReducers): MultiContextContainer<W>;
export default MultiContextContainer;
