(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var LoadingStatusEnum;
    (function (LoadingStatusEnum) {
        LoadingStatusEnum["loading"] = "loading";
        LoadingStatusEnum["loaded"] = "loaded";
        LoadingStatusEnum["error"] = "error";
    })(LoadingStatusEnum = exports.LoadingStatusEnum || (exports.LoadingStatusEnum = {}));
    var FluidWidgetNames;
    (function (FluidWidgetNames) {
        FluidWidgetNames["addNewItemForm"] = "addNewItemForm";
        FluidWidgetNames["editSelectedRowForm"] = "editSelectedRowForm";
    })(FluidWidgetNames = exports.FluidWidgetNames || (exports.FluidWidgetNames = {}));
});
//# sourceMappingURL=interfaces.js.map