import { Container } from '@dojo/framework/widget-core/Container';
import SearchBar from '../../gridWidgets/searchBar/SearchBar';
function getProperties(inject, properties) {
    const loadingStatus = inject.datastoreDataLoadingStatus;
    const rowFields = {
        fieldsInfo: inject.datastoreData[0]
            ? Object.keys(inject.datastoreData[0]).map((key) => {
                return {
                    name: key
                };
            })
            : []
    };
    return {
        rowFields,
        loadingStatus,
        setFilterNode: inject.setQueryQuery.bind(inject),
        cancelSearch: inject.removeQueryQuery.bind(inject)
    };
}
const SearchBarContainer = Container(SearchBar, 'queryAppContext', { getProperties });
export default SearchBarContainer;
//# sourceMappingURL=SearchBarContainer.mjs.map