(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@dojo/framework/widget-core/Container", "../../queryEditor/possibleNodeFields/PossibleNodeFields"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var Container_1 = require("@dojo/framework/widget-core/Container");
    var PossibleNodeFields_1 = require("../../queryEditor/possibleNodeFields/PossibleNodeFields");
    function getProperties(inject, properties) {
        return {
            fieldNames: inject.fieldNames
        };
    }
    var PossibleNodeFieldsContainer = Container_1.default(PossibleNodeFields_1.default, 'queryEditorContext', { getProperties: getProperties });
    exports.default = PossibleNodeFieldsContainer;
});
//# sourceMappingURL=possibleNodeFieldsContainer.js.map