export interface DialogStatus {
    shown: boolean;
}
export default class DialogController {
    private _dialogs;
    private _invalidator;
    constructor(invalidator: () => void, initialStatus: {
        [key: string]: DialogStatus;
    });
    show(dialogId: string): void;
    hide(dialogId: string): void;
    has(dialogId: string): boolean;
    get(dialogId: string): DialogStatus;
    set(dialogId: string, status: DialogStatus): void;
}
