import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { DNode } from '@dojo/framework/widget-core/interfaces';
export interface DialogProps {
    isOpen: boolean;
    onClose: () => void;
    onOk?: () => void;
    title?: string;
    options?: {
        size?: (1 | 2 | 3 | 4);
        centered?: boolean;
    };
}
export default class Dialog extends WidgetBase<DialogProps> {
    protected render(): DNode | DNode[];
    protected getModalSize(): string;
}
