import { Grid as GridWidget } from './widgets/Grid';
import { Row as RowWidget } from './widgets/row/Row';
import { Cell as CellWidget } from './widgets/Cell';
import { ColumnHeaders as HeaderWidget } from './widgets/ColumnHeaders';
import { ColumnHeaderCell as HeaderCellWidget } from './widgets/ColumnHeaderCell';
import { NoData as NoDataWidget } from './widgets/NoData';
declare const Grid: {
    Grid: typeof GridWidget;
    Row: typeof RowWidget;
    Cell: typeof CellWidget;
    Header: typeof HeaderWidget;
    HeaderCell: typeof HeaderCellWidget;
    NoData: typeof NoDataWidget;
};
export default Grid;
