import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { DNode } from '@dojo/framework/widget-core/interfaces';
import { CellData } from '../../../common/interfaces';
export interface CellProps extends CellData {
    rowIndex: number;
    columnIndex: number;
    key: string;
    isEditable?: boolean;
    minWidth?: number;
}
export declare class Cell extends WidgetBase<CellProps> {
    private isEdited;
    protected render(): DNode;
    private getCellNodeProperties();
    protected getValue(): DNode;
}
