(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "@dojo/framework/widget-core/WidgetBase", "@dojo/framework/widget-core/d", "rollun-common/dist/css/bootstrap.m.css", "../../../containers/grid/ColumnHeaderCellContainer"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    var WidgetBase_1 = require("@dojo/framework/widget-core/WidgetBase");
    var d_1 = require("@dojo/framework/widget-core/d");
    var bootstrap = require("rollun-common/dist/css/bootstrap.m.css");
    var ColumnHeaderCellContainer_1 = require("../../../containers/grid/ColumnHeaderCellContainer");
    var ColumnHeaders = /** @class */ (function (_super) {
        tslib_1.__extends(ColumnHeaders, _super);
        function ColumnHeaders() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        ColumnHeaders.prototype.render = function () {
            var rowFields = this.properties.rowFields;
            return d_1.v('tr', {
                classes: "" + bootstrap.border,
                styles: {
                    backgroundColor: '#f4f6f7'
                }
            }, rowFields.fieldsInfo.map(function (fieldInfo, columnIndex) {
                return d_1.w(ColumnHeaderCellContainer_1.default, { columnIndex: columnIndex, rowIndex: 0 });
            }));
        };
        return ColumnHeaders;
    }(WidgetBase_1.default));
    exports.ColumnHeaders = ColumnHeaders;
});
//# sourceMappingURL=ColumnHeaders.js.map