import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { GridData, LoadingStatusEnum } from '../../../common/interfaces';
import { VNode } from '@dojo/framework/widget-core/interfaces';
import GridContext from '../../../context/GridContext';
import ContextConfig from '../../../common/ContextConfig';
export interface GridProps extends GridData {
    context: GridContext;
    loadingStatus?: LoadingStatusEnum;
    changeCellValue?: (rowIndex: number, columnIndex: number, value: string) => void;
}
export declare class Grid extends WidgetBase<GridProps> {
    static contextConfig: ContextConfig;
    private isStarted;
    protected render(): VNode;
}
