import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { RowCells } from '../../../../common/interfaces';
import { DNode } from '@dojo/framework/widget-core/interfaces';
import { RowProps } from '../row/Row';
export interface RowEditorProps extends RowProps {
    rowCells: RowCells;
    onUpdateCancel(): void;
    onItemUpdate(item: {}): void;
}
export default class RowEditor extends WidgetBase<RowEditorProps> {
    private isStarted;
    private state;
    protected render(): DNode[];
    private finishEditing();
    private cancelEditing();
    private renderEditor(fieldInfo, value);
}
