(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "@dojo/framework/widget-core/WidgetBase", "../containers/queryBuilder/queryEditorContainerModalContainer", "../containers/grid/GridContainer", "../containers/grid/SearchBarContainer", "../containers/grid/PaginatorContainer", "rollun-common/dist/css/bootstrap.m.css", "../common/ContextConfig", "../context/QueryAppContext", "../gridWidgets/grid/widgets/Grid", "../queryEditor", "@dojo/framework/widget-core/tsx", "../containers/CsvDownloaderContainer", "../containers/RowEditorDialogContainer", "../containers/NewItemCreatorDialogContainer"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    var WidgetBase_1 = require("@dojo/framework/widget-core/WidgetBase");
    var queryEditorContainerModalContainer_1 = require("../containers/queryBuilder/queryEditorContainerModalContainer");
    var GridContainer_1 = require("../containers/grid/GridContainer");
    var SearchBarContainer_1 = require("../containers/grid/SearchBarContainer");
    var PaginatorContainer_1 = require("../containers/grid/PaginatorContainer");
    var bs = require("rollun-common/dist/css/bootstrap.m.css");
    var ContextConfig_1 = require("../common/ContextConfig");
    var QueryAppContext_1 = require("../context/QueryAppContext");
    var Grid_1 = require("../gridWidgets/grid/widgets/Grid");
    var queryEditor_1 = require("../queryEditor");
    var tsx_1 = require("@dojo/framework/widget-core/tsx");
    var CsvDownloaderContainer_1 = require("../containers/CsvDownloaderContainer");
    var RowEditorDialogContainer_1 = require("../containers/RowEditorDialogContainer");
    var NewItemCreatorDialogContainer_1 = require("../containers/NewItemCreatorDialogContainer");
    var QueryAppWidget = /** @class */ (function (_super) {
        tslib_1.__extends(QueryAppWidget, _super);
        function QueryAppWidget() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        QueryAppWidget.prototype.render = function () {
            return (tsx_1.tsx("div", { id: 'gridContainer' },
                tsx_1.tsx("div", { class: bs.dFlex + " " + bs.bgLight + " " + bs.px1 + " " + bs.py2 + " " + bs.border + " " + bs.borderBottom0 },
                    tsx_1.tsx("div", { class: bs.dFlex + " " + bs.flexRow + " " + bs.alignItemsCenter, styles: { flex: '5' } },
                        tsx_1.tsx("div", { class: "" + bs.mx1 },
                            tsx_1.tsx(queryEditorContainerModalContainer_1.default, null)),
                        tsx_1.tsx("div", { class: "" + bs.mx1 },
                            tsx_1.tsx(CsvDownloaderContainer_1.default, null)),
                        tsx_1.tsx("div", { class: "" + bs.mx1 },
                            tsx_1.tsx(RowEditorDialogContainer_1.default, null)),
                        tsx_1.tsx("div", { class: "" + bs.mx1 },
                            tsx_1.tsx(NewItemCreatorDialogContainer_1.default, null))),
                    tsx_1.tsx("div", { class: bs.dFlex + " " + bs.flexRowReverse, styles: { flex: '2' } },
                        tsx_1.tsx(SearchBarContainer_1.default, null))),
                tsx_1.tsx(GridContainer_1.default, null),
                tsx_1.tsx("div", { class: bs.dFlex + " " + bs.w100 + " " + bs.p1 + " " + bs.bgLight + " " + bs.border + " " + bs.borderTop0 },
                    tsx_1.tsx(PaginatorContainer_1.default, null))));
        };
        QueryAppWidget.contextConfig = new ContextConfig_1.default(QueryAppContext_1.default, [Grid_1.Grid, queryEditor_1.default]);
        return QueryAppWidget;
    }(WidgetBase_1.default));
    exports.default = QueryAppWidget;
});
//# sourceMappingURL=QueryAppWidget.js.map