import * as lodash from 'lodash';
export function undefinedSafeDiffNode(previousProperty, newProperty) {
    if (newProperty) {
        return {
            changed: lodash.isEqual(previousProperty, newProperty),
            value: newProperty
        };
    }
    else {
        return {
            changed: false,
            value: previousProperty
        };
    }
}
export function applyMixins(derivedCtor, baseCtors) {
    baseCtors.forEach(baseCtor => {
        Object.getOwnPropertyNames(baseCtor.prototype).forEach(name => {
            derivedCtor.prototype[name] = baseCtor.prototype[name];
        });
    });
}
//# sourceMappingURL=functions.mjs.map