import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { v, w } from '@dojo/framework/widget-core/d';
import * as bootstrap from 'rollun-common/dist/css/bootstrap.m.css';
import ColumnHeaderCellContainer from '../../../containers/grid/ColumnHeaderCellContainer';
export class ColumnHeaders extends WidgetBase {
    render() {
        const { rowFields } = this.properties;
        return v('tr', {
            classes: `${bootstrap.border}`,
            styles: {
                backgroundColor: '#f4f6f7'
            }
        }, rowFields.fieldsInfo.map((fieldInfo, columnIndex) => {
            return w(ColumnHeaderCellContainer, { columnIndex, rowIndex: 0 });
        }));
    }
}
//# sourceMappingURL=ColumnHeaders.mjs.map