export interface FieldInfo {
    name: string;
    label?: string;
    isEditable?: boolean;
    minWidth?: number;
}
export interface RowFields {
    fieldsInfo: FieldInfo[];
}
export interface CellData {
    value: string;
}
export interface RowCells {
    id: (number | string);
    cells: CellData[];
}
export interface RowRows {
    rows: RowCells[];
}
export interface GridData {
    fields: RowFields;
    rows: RowRows;
}
export declare enum LoadingStatusEnum {
    loading = "loading",
    loaded = "loaded",
    error = "error",
}
export declare enum FluidWidgetNames {
    addNewItemForm = "addNewItemForm",
    editSelectedRowForm = "editSelectedRowForm",
}
