(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@dojo/framework/widget-core/Container", "../csvDownloader/CsvDownloader"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var Container_1 = require("@dojo/framework/widget-core/Container");
    var CsvDownloader_1 = require("../csvDownloader/CsvDownloader");
    function getProperties(inject, properties) {
        var data = inject.datastoreData;
        return {
            data: data
        };
    }
    var CsvDownloaderContainer = Container_1.default(CsvDownloader_1.default, 'queryAppContext', { getProperties: getProperties });
    exports.default = CsvDownloaderContainer;
});
//# sourceMappingURL=CsvDownloaderContainer.js.map