(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@dojo/framework/widget-core/Container", "../../gridWidgets/grid/widgets/ColumnHeaders"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var Container_1 = require("@dojo/framework/widget-core/Container");
    var ColumnHeaders_1 = require("../../gridWidgets/grid/widgets/ColumnHeaders");
    function getProperties(inject, properties) {
        var rowFields = inject.rowFields;
        return {
            rowFields: rowFields
        };
    }
    var ColumnHeadersContainer = Container_1.default(ColumnHeaders_1.ColumnHeaders, 'gridContext', { getProperties: getProperties });
    exports.default = ColumnHeadersContainer;
});
//# sourceMappingURL=ColumnHeaadersContainer.js.map