import { CellProps } from '../gridWidgets/grid/widgets/Cell';
import { VNode, WidgetBaseInterface, WidgetProperties, WNode } from '@dojo/framework/widget-core/interfaces';
import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { ColumnHeadersProps } from '../gridWidgets/grid/widgets/ColumnHeaders';
import { GridProps } from '../gridWidgets/grid/widgets/Grid';
import { RowProps } from '../gridWidgets/grid/widgets/row/Row';
declare const Containers: {
    CellContainer: new (...args: any[]) => WidgetBase<Partial<Readonly<CellProps> & Readonly<WidgetProperties>>, string | boolean | VNode | WNode<WidgetBaseInterface<WidgetProperties, any>>>;
    ColumnHeadersContainer: new (...args: any[]) => WidgetBase<Partial<Readonly<ColumnHeadersProps> & Readonly<WidgetProperties>>, string | boolean | VNode | WNode<WidgetBaseInterface<WidgetProperties, any>>>;
    ColumnHeaderCellContainer: new (...args: any[]) => WidgetBase<Partial<Readonly<CellProps> & Readonly<WidgetProperties>>, string | boolean | VNode | WNode<WidgetBaseInterface<WidgetProperties, any>>>;
    GridContainer: new (...args: any[]) => WidgetBase<Partial<Readonly<GridProps> & Readonly<WidgetProperties>>, string | boolean | VNode | WNode<WidgetBaseInterface<WidgetProperties, any>>>;
    MultiContextContainer: any;
    RowContainer: new (...args: any[]) => WidgetBase<Partial<Readonly<RowProps> & Readonly<WidgetProperties>>, string | boolean | VNode | WNode<WidgetBaseInterface<WidgetProperties, any>>>;
};
export default Containers;
