(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./grid/RowContainer", "./MultiContextContainer", "./grid/GridContainer", "./grid/ColumnHeaderCellContainer", "./grid/ColumnHeaadersContainer", "./grid/CellContainer"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var RowContainer_1 = require("./grid/RowContainer");
    // @ts-ignore
    var MultiContextContainer_1 = require("./MultiContextContainer");
    var GridContainer_1 = require("./grid/GridContainer");
    var ColumnHeaderCellContainer_1 = require("./grid/ColumnHeaderCellContainer");
    var ColumnHeaadersContainer_1 = require("./grid/ColumnHeaadersContainer");
    var CellContainer_1 = require("./grid/CellContainer");
    var Containers = {
        CellContainer: CellContainer_1.default,
        ColumnHeadersContainer: ColumnHeaadersContainer_1.default,
        ColumnHeaderCellContainer: ColumnHeaderCellContainer_1.default,
        GridContainer: GridContainer_1.default,
        MultiContextContainer: MultiContextContainer_1.default,
        RowContainer: RowContainer_1.default
    };
    exports.default = Containers;
});
//# sourceMappingURL=index.js.map