(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@dojo/framework/widget-core/Container", "../../queryEditor/dropToRemoveNodeField/DropToRemoveNodeField"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var Container_1 = require("@dojo/framework/widget-core/Container");
    var DropToRemoveNodeField_1 = require("../../queryEditor/dropToRemoveNodeField/DropToRemoveNodeField");
    function getProperties(inject, properties) {
        return {
            onNodeFieldRemove: function (fieldName, nodeName) {
                inject.removeFieldFromNode(fieldName, nodeName);
            }
        };
    }
    var DropToRemoveNodeFieldContainer = Container_1.default(DropToRemoveNodeField_1.default, 'queryEditorContext', { getProperties: getProperties });
    exports.default = DropToRemoveNodeFieldContainer;
});
//# sourceMappingURL=dropToRemoveFieldContainer.js.map