import AbstractDataUpdater from './AbstractDataUpdater';
import { DataStoreInterface } from 'rollun-ts-datastore/dist/interfaces';
import Query from 'rollun-ts-rql/dist/Query';
import QueryManager from '../../queryManager/QueryManager';
export default abstract class AbstractDatastoreDataUpdater<T> extends AbstractDataUpdater<T> {
    protected _datastore: DataStoreInterface;
    protected _queryManager: QueryManager;
    constructor(datastore: DataStoreInterface);
    query: Query;
    protected _updateData(): Promise<T>;
    protected abstract getProcessedQuery(): Query;
}
