(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "./AbstractDatastoreDataUpdater"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    var AbstractDatastoreDataUpdater_1 = require("./AbstractDatastoreDataUpdater");
    var DatastoreDataUpdater = /** @class */ (function (_super) {
        tslib_1.__extends(DatastoreDataUpdater, _super);
        function DatastoreDataUpdater() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this._data = [];
            return _this;
        }
        DatastoreDataUpdater.prototype.getProcessedQuery = function () {
            return this._queryManager.getQuery();
        };
        return DatastoreDataUpdater;
    }(AbstractDatastoreDataUpdater_1.default));
    exports.default = DatastoreDataUpdater;
});
//# sourceMappingURL=DatastoreDataUpdater.js.map