(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "@dojo/framework/widget-core/WidgetBase", "rollun-common/dist/css/bootstrap.m.css", "@dojo/framework/widget-core/tsx", "../form/FluidForm", "./Dialog"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    var WidgetBase_1 = require("@dojo/framework/widget-core/WidgetBase");
    var bs = require("rollun-common/dist/css/bootstrap.m.css");
    var tsx_1 = require("@dojo/framework/widget-core/tsx");
    var FluidForm_1 = require("../form/FluidForm");
    var Dialog_1 = require("./Dialog");
    var NewItemCreatorDialog = /** @class */ (function (_super) {
        tslib_1.__extends(NewItemCreatorDialog, _super);
        function NewItemCreatorDialog() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        NewItemCreatorDialog.prototype.render = function () {
            var _this = this;
            var _a = this.properties, formConfig = _a.formConfig, title = _a.title, isOpen = _a.isOpen;
            var onFormSubmit = function (data) {
                _this.properties.onFormSubmit(data);
            };
            return (tsx_1.tsx("div", null,
                tsx_1.tsx("button", { class: bs.btn + " " + bs.btnPrimary + " " + bs.btnSm, onclick: function () {
                        _this.properties.openDialog();
                    } }, "Add new item"),
                tsx_1.tsx(Dialog_1.default, { isOpen: isOpen, title: title, onClose: function () {
                        _this.properties.closeDialog();
                    }, options: {
                        size: 2,
                        centered: true
                    } },
                    tsx_1.tsx(FluidForm_1.default, { formConfig: formConfig, onFormSubmit: onFormSubmit }))));
        };
        return NewItemCreatorDialog;
    }(WidgetBase_1.default));
    exports.default = NewItemCreatorDialog;
});
//# sourceMappingURL=NewItemCreatorDialog.js.map