(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./widgets/Grid", "./widgets/row/Row", "./widgets/Cell", "./widgets/ColumnHeaders", "./widgets/ColumnHeaderCell", "./widgets/NoData"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var Grid_1 = require("./widgets/Grid");
    var Row_1 = require("./widgets/row/Row");
    var Cell_1 = require("./widgets/Cell");
    var ColumnHeaders_1 = require("./widgets/ColumnHeaders");
    var ColumnHeaderCell_1 = require("./widgets/ColumnHeaderCell");
    var NoData_1 = require("./widgets/NoData");
    var Grid = {
        Grid: Grid_1.Grid,
        Row: Row_1.Row,
        Cell: Cell_1.Cell,
        Header: ColumnHeaders_1.ColumnHeaders,
        HeaderCell: ColumnHeaderCell_1.ColumnHeaderCell,
        NoData: NoData_1.NoData
    };
    exports.default = Grid;
});
//# sourceMappingURL=index.js.map