(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "@dojo/framework/widget-core/d", "./Cell", "../../../common/common.m.css"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    var d_1 = require("@dojo/framework/widget-core/d");
    var Cell_1 = require("./Cell");
    var commonCss = require("../../../common/common.m.css");
    var ColumnHeaderCell = /** @class */ (function (_super) {
        tslib_1.__extends(ColumnHeaderCell, _super);
        function ColumnHeaderCell() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        ColumnHeaderCell.prototype.getValue = function () {
            var value = this.properties.value;
            return d_1.v('td', {}, [
                d_1.v('span', { classes: "" + commonCss.headerCellFont }, [value]),
                d_1.v('span', {}, [] // TODO: sort arrow
                )
            ]);
        };
        return ColumnHeaderCell;
    }(Cell_1.Cell));
    exports.ColumnHeaderCell = ColumnHeaderCell;
});
//# sourceMappingURL=ColumnHeaderCell.js.map