import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { CellProps } from '../Cell';
import { DNode } from '@dojo/framework/widget-core/interfaces';
export interface CellEditorProps extends CellProps {
    onCellValueUpdate(rowIndex: number, columnIndex: number, value: string): any;
    onStopEditing(): any;
}
export default class CellEditor extends WidgetBase<CellEditorProps> {
    protected value: string;
    private isStarted;
    protected onAttach(): void;
    protected render(): DNode | DNode[];
    protected finishEditing(): void;
    protected cancelEditing(): void;
    protected onDetach(): void;
}
