import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { VNode } from '@dojo/framework/widget-core/interfaces';
import { QueryNodeNames } from '../../context/QueryEditorContext';
export interface DropToRemoveNodeFieldProps {
    onNodeFieldRemove(fieldName: string, nodeName: (QueryNodeNames.select | QueryNodeNames.sort)): void;
}
export default class DropToRemoveNodeField extends WidgetBase<DropToRemoveNodeFieldProps> {
    private awaitingDrop;
    private validDropTarget;
    protected render(): VNode;
    private checkDropPossibility(event);
    private disableDropTarget(event);
    private removeDroppedNodeFromSelectedNodes(event);
}
