(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "@dojo/framework/widget-core/WidgetBase", "@dojo/framework/widget-core/d", "../nodeFieldName/NodeFieldName", "./possibleNodeFields.m.css", "rollun-common/dist/css/bootstrap.m.css", "../common/common.m.css"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    var WidgetBase_1 = require("@dojo/framework/widget-core/WidgetBase");
    var d_1 = require("@dojo/framework/widget-core/d");
    var NodeFieldName_1 = require("../nodeFieldName/NodeFieldName");
    var css = require("./possibleNodeFields.m.css");
    var bs = require("rollun-common/dist/css/bootstrap.m.css");
    var commonCss = require("../common/common.m.css");
    var PossibleNodeFields = /** @class */ (function (_super) {
        tslib_1.__extends(PossibleNodeFields, _super);
        function PossibleNodeFields() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.fieldNames = [];
            _this.isStarted = false;
            return _this;
        }
        PossibleNodeFields.prototype.render = function () {
            if (!this.isStarted && this.properties.fieldNames && this.properties.fieldNames.length > 0) {
                this.fieldNames = this.properties.fieldNames;
                this.isStarted = true;
            }
            return d_1.v('div', { classes: bs.dFlex + " " + bs.flexColumn + " " + bs.h100 + " " + bs.card + " " + bs.m1 + " " + commonCss.transparentBorder + " " + css.root }, [
                d_1.v('div', { classes: bs.cardBody + " " + bs.p3 + " " + bs.border }, [
                    d_1.v('div', { classes: bs.cardTitle + " " + css.title }, ['Possible fields']),
                    d_1.v('div', { classes: bs.dFlex + " " + bs.flexColumn + " " + bs.cardText + " " + css.possibleNodes }, this.fieldNames.map(function (fieldName) {
                        return d_1.w(NodeFieldName_1.default, { fieldName: fieldName });
                    }))
                ])
            ]);
        };
        return PossibleNodeFields;
    }(WidgetBase_1.default));
    exports.default = PossibleNodeFields;
});
//# sourceMappingURL=PossibleNodeFields.js.map