import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import Query from 'rollun-ts-rql/dist/Query';
import { VNode } from '@dojo/framework/widget-core/interfaces';
import QueryEditorContext from '../../context/QueryEditorContext';
import ContextConfig from '../../common/ContextConfig';
export interface QueryEditorProps {
    query: Query;
    context: QueryEditorContext;
    fieldNames: string[];
}
export default class QueryEditor extends WidgetBase<QueryEditorProps> {
    static contextConfig: ContextConfig;
    private isStarted;
    private openQueryCreationDialog;
    private rqlNodeFactory;
    protected context: QueryEditorContext;
    protected render(): VNode;
    private renderSelectNode(node);
    private renderSortNode(node);
    private renderQueryNode(node);
    private removeNode(queryNodeName);
    private removeFieldFromNode(fieldName, nodeType);
}
