import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import { VNode } from '@dojo/framework/widget-core/interfaces';
import AbstractArrayNode from 'rollun-ts-rql/dist/nodes/arrayNodes/AbstractArrayNode';
export interface ArrayNodeEditorProps {
    path: number[];
    node: AbstractArrayNode | null;
    fieldNames: string[];
    key: string;
    onRemove(path: number[]): void;
}
export default class ArrayNodeEditor extends WidgetBase<ArrayNodeEditorProps> {
    protected render(): VNode;
    private removeSelf();
    private getHumanNodeName(nodeName);
}
