import WidgetBase from '@dojo/framework/widget-core/WidgetBase';
import Sort, { SortOptions } from 'rollun-ts-rql/dist/nodes/Sort';
import { VNode } from '@dojo/framework/widget-core/interfaces';
export interface SortNodeEditorProps {
    node: Sort;
    onRemove(): void;
    onSortNodeChange(sortOptions: SortOptions): void;
}
export default class SortNodeEditor extends WidgetBase<SortNodeEditorProps> {
    protected awaitingDrop: boolean;
    protected validDropTarget: boolean;
    protected render(): VNode;
    private renderSortEditors();
    private checkSortOptionValidity(event);
    private addNewSortOption(event);
    private disableDropTarget();
    private changeSortOption(fieldName, sortDirection);
}
